PARAPROF(1)

NAME
paraprof - Opens TAU's performance data viewer.

SYNOPSIS

paraprof [-h, --help] [-p] [-f, --filetype filetype] [-i, --fixnames] [--pack file] [--dump] [-m, --monitor]

DESCRIPTION

For the TAU profiles type, you can specify either a specific set of profile files on the commandline, or you can specify a directory (by default the current directory). The specified directory will be searched for profile.*.*.* files, or, in the case of multiple counters, directories named MULTI_* containing profile data.

OPTION

-p Use `pprof` to compute derived data.

-f, --filetype filetype Specify type of performance data, options are: profiles (default), pprof, dynaprof, mpip, gprof, psrun, hpm, packed, cube, hpc

-i, --fixnames Use the fixnames option for gprof.

--pack file Pack the data into packed (.ppk) format (does not launch ParaProf GUI)

--dump Dump profile data to TAU profile format (does not launch ParaProf GUI).

-m, --monitor Perform runtime monitoring of profile data